Bug 1411110 - Cold Merge: Improve polling of prepareMerge and finalizeMerge steps
Summary: Cold Merge: Improve polling of prepareMerge and finalizeMerge steps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Ala Hino
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 12:42 UTC by Ala Hino
Modified: 2017-04-04 12:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:58:17 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 69129 0 master MERGED Core: Improve cold merge polling performance 2017-01-11 13:24:49 UTC
oVirt gerrit 70007 0 ovirt-engine-4.1 MERGED Core: Improve cold merge polling performance 2017-01-11 14:12:47 UTC

Description Ala Hino 2017-01-08 12:42:53 UTC
Description of problem:
Polling of prepareMerge and finalizeMerge steps (these are SOM Tasks) can be improved by not doing the pre-pollling.

How reproducible:
100%

Steps to Reproduce:
1. Run cold merge

Comment 1 Yaniv Kaul 2017-01-08 13:46:08 UTC
severity?

Comment 2 Carlos Mestre González 2017-01-24 13:18:26 UTC
Can you provide a way to verify this? Not much information on what is suppose to improve (see the pre-polling were not there?)

Comment 3 Ala Hino 2017-01-24 15:06:25 UTC
This fix actually improves performance of cold merge. Maybe you could compare performance of a build containing the patch with a (previous) build that doesn't contain the patch.

Comment 4 Raz Tamir 2017-01-24 15:27:54 UTC
According to comment #3, Eyal, can you please check whether the performance actually improved?

Comment 5 Raz Tamir 2017-02-07 14:24:12 UTC
Verified on ovirt-engine-4.1.0.4-0.1.el7

Previously live merge took ~ 1 minute for a VM with 4 disks
Now, it takes ~ 40 secs


Note You need to log in before you can comment on or make changes to this bug.